Subject: parse error in CS
From: [email-masked] (Paul Garceau)

9 Sep 1998 23:30:28 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

Greetings,

	I've attempted to compile CS a couple of different ways for Gnu-Win32 
port.  Both compiles aborted (make mz) with the following error:

	render/graph3d.cpp in method 'csGraphics3d::csGraphics3d(int, char **):
	render/graph3d.cpp:91:parse error before '('

	After checking the line here is what I found:

line 89 follows:
csGraphics3D::csGraphics3D (int argc, char* argv[])
{
(line 91: the next line has parse error)
  CHK (Graph2D = new SysGraphics2D(argc, argv)); 

  z_buffer = NULL;
  z_buf_mode = ZBuf_None;
  SetDimensions (FRAME_WIDTH, FRAME_HEIGHT);
  cache = NULL;
}

	Not sure what CHK is, but it appears to check the memory; added an if 
defined to #include "utiil/memory.h", but error didn't go away.  CHK appears 
to be causing the error.

	I am forcing software rendering by using an #if defined(__MINGW32__) 
to ignore #include "win32/win32.h" in "system/system.h" since the current 
implementation of Win32 assumes that if "OS_WIN32" is enabled then so is 
D3D; D3D doesn't work under Gnu-Win32(egcs-mingw32).

	Can someone enlighten me on what the CHK function is?

	Thanks for your replies.

	Peace,

		Paul G.

Information Systems Consultant
NewDawn Productions
http://www.teleport.com/~pgarceau/newdawn/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".